# FASTCS1.PRC
# ===========
#
# Procedurefile for the FR-Emulator - Target : MB91V360.
# Should be executed before loading any target-file into
# the emulator (use the debug settings).
# The file sets the PLL-Clock to 32MHz for faster download
# and enables ONLY CS1 for the ROM-area 18:0000...1F:FFFF.
# Setting the CS1-Jumper to SRAM on the emulation board
# allows to emulate ROM-areas the same way as in the Flash-Chip.
#
# V1.0 by MM 
# last modification : 9.6.99
#

printf "\nCPU Clock set to 32MHz \n"

set memory/byte H'484=00	# reset PLL 
set memory/byte 484=44		# set 32MHz (64=48MHz,74=64MHz)
set memory/byte 484=46		# enable    (66      ,76      )
set memory/byte 486=01  	# RBus/2    (03      ,04      )
set memory/byte 487=10 		# extBus/2

printf "\nCS0 disabled\n"
printf "\nCS1 set to ROM-Area 18:0000..1F:FFFF\n"

disable verifymode		# because ASR/AMR are Write only
set memory/byte H'668=H'00  	# all CS disabled
set memory/halfword H'644=H'18	# ASR1=18 CS1-Begin=18:0000		
set memory/halfword H'646=H'07	# AMR1=07 CS1-End  =1F:FFFF
set memory/byte H'661=H'11	# AMD1=11 32-Bit, 1 Wait-state
set memory/byte H'668=H'02  	# only CS1 enabled for ROM-download
enable verifymode
